Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.statsvn.util
Class SvnInfoUtils.SvnInfoHandler

    java.lang.Object
      org.xml.sax.helpers.DefaultHandler
          net.sf.statsvn.util.SvnInfoUtils.SvnInfoHandler

All Implemented Interfaces:
  ContentHandler, DTDHandler, EntityResolver, ErrorHandler

Direct Known Subclasses:
  SvnKitInfo.SvnKitInfoHandler

Enclosing class:
  SvnInfoUtils

protected static class SvnInfoUtils.SvnInfoHandler
extends DefaultHandler

SAX parser for the svn info --xml command.

Author:
  jkealey

Constructor Summary
`SvnInfoUtils.SvnInfoHandler(SvnInfoUtils infoUtils)`

Method Summary
`void` | `characters(char[] ch, int start, int length)` Builds the string that was read; default implementation can invoke this function multiple times while reading the data.
`void` | `endElement(String uri, String localName, String qName)` End of xml element.
`SvnInfoUtils` | `getInfoUtils()`
`protected boolean` | `isRootFolder(Attributes attributes)` Is this the root of the workspace?
`protected static boolean` | `isValidCommit(Attributes attributes)` Is this a valid commit? Check to see if wec an read the revision number.
`protected static boolean` | `isValidInfoEntry(Attributes attributes)` Is this a valid info entry? Check to see if we can read path, kind and revision.
`void` | `startElement(String uri, String localName, String qName, Attributes attributes)` Start of XML element.

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`endDocument, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SvnInfoUtils.SvnInfoHandler

    public SvnInfoUtils.SvnInfoHandler(SvnInfoUtils infoUtils)

Method Detail

### getInfoUtils

    public SvnInfoUtils getInfoUtils()

### characters

    public void characters(char[] ch,
                           int start,
                           int length)
                    throws SAXException

  Builds the string that was read; default implementation can invoke this function multiple times while reading the data.

  Throws:
    `SAXException`

### endElement

    public void endElement(String uri,
                           String localName,
                           String qName)
                    throws SAXException

  End of xml element.

  Throws:
    `SAXException`

### startElement

    public void startElement(String uri,
                             String localName,
                             String qName,
                             Attributes attributes)
                      throws SAXException

  Start of XML element.

  Throws:
    `SAXException`

### isRootFolder

    protected boolean isRootFolder(Attributes attributes)

  Is this the root of the workspace?

  Parameters:
    `attributes` - the xml attributes
  Returns:
    true if is the root folder.

### isValidCommit

    protected static boolean isValidCommit(Attributes attributes)

  Is this a valid commit? Check to see if wec an read the revision number.

  Parameters:
    `attributes` - the xml attributes
  Returns:
    true if is a valid commit.

### isValidInfoEntry

    protected static boolean isValidInfoEntry(Attributes attributes)

  Is this a valid info entry? Check to see if we can read path, kind and revision.

  Parameters:
    `attributes` - the xml attributes.
  Returns:
    true if is a valid info entry.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD